%global    logdir /var/log/ovirt-imageio-daemon

Name:      ovirt-imageio-daemon
Version:   1.0.0
Release:   1%{?release_suffix}%{?dist}
Summary:   oVirt imageio daemon

Group:     Applications/System
License:   GPLv2+
Url:       https://github.com/oVirt/ovirt-imageio
Source0:   http://resources.ovirt.org/pub/ovirt-4.1/src/%{name}/%{name}-%{version}.tar.gz
BuildArch: noarch

Requires:  ovirt-imageio-common
Requires:  python
Requires:  python-six
Requires:  systemd-python

# We run as vdsm so we can access vdsm images and pki files, so vdsm must be
# installed before installing the imageio daemon.
# TODO: Use our own user instead, and let vdsm setup the groups so we can
# access what we need.
Requires(pre): vdsm

BuildRequires: python-devel
BuildRequires: systemd

%description
Daemon to manage image data transfer on oVirt virtualization hosts.

%prep
%setup -q

%build
python setup.py build

%install
python setup.py install -O1 --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
install -D -m 0755 --directory %{buildroot}%{logdir}
# Create a dummy log file to make rpm happy during build
touch %{buildroot}%{logdir}/daemon.log
install -D -m 0755 --directory %{buildroot}%{_sysconfdir}/%{name}
install -D -m 0644 data/logger.conf %{buildroot}%{_sysconfdir}/%{name}
install -D -m 0644 data/ovirt-imageio-daemon.service %{buildroot}%{_unitdir}/ovirt-imageio-daemon.service

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%license COPYING
%doc README
%{_unitdir}/ovirt-imageio-daemon.service
%dir %{_sysconfdir}/%{name}
%config %{_sysconfdir}/%{name}/logger.conf
# The log directory should belong to the daemon so it can create log files.
# http://rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-ATTR-DIRECTIVE
%dir %attr(755, vdsm, kvm) %{logdir}
# The log files belongs to the package, so they will be removed with the package.
# http://rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE
%ghost %{logdir}/daemon.log*

# For more information about the systemd macros, see:
# https://fedoraproject.org/wiki/Packaging:Scriptlets#New_Packages

%post
# After installation, synchronize service state with preset files.
%systemd_post ovirt-imageio-daemon.service

%preun
# Before uninstalling, stop and disable the service.
%systemd_preun ovirt-imageio-daemon.service

%postun
# After upgrading, restart the service.
%systemd_postun_with_restart ovirt-imageio-daemon.service

%changelog
* Fri Jan 27 2017 Sandro Bonazzola <sbonazzo@redhat.com> - 1.0.0-1
- Rebase on upstream 1.0.0-0.201701151456.git89ae3b4 - 1.0.0-1

* Fri Sep  2 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 0.4.0-1
- Rebase on upstream 0.4.0-0.201608310602.gita9b573b

* Tue Jul 26 2016 Sandro Bonazzola <sbonazzo@redhat.com> - 0.3.0-1
- Initial release based on upstream 0.3.0-0.201606191345.git9f3d6d4
